package io.axcelinno.policyquotecalc;

import java.math.BigInteger;

/**
 * This class was automatically generated by the data modeler tool.
 */

@org.kie.api.definition.type.Label("Policy")
public class Policy implements java.io.Serializable {

	static final long serialVersionUID = 1L;

	@org.kie.api.definition.type.Label("Driver")
	private io.axcelinno.policyquotecalc.Driver driver;
	@org.kie.api.definition.type.Label("Policy Type")
	private java.lang.String policyType;
	@org.kie.api.definition.type.Label("Price")
	private java.lang.Integer price;
	@org.kie.api.definition.type.Label("Price Discount")
	private java.lang.Integer priceDiscount;
	@org.kie.api.definition.type.Label("Vehicle Year")
	private java.lang.Integer vehicleYear;

	@org.kie.api.definition.type.Label("Vehicle Mileage")
	private Integer vehicleMielage;

	public Policy() {
	}

	public io.axcelinno.policyquotecalc.Driver getDriver() {
		return this.driver;
	}

	public void setDriver(io.axcelinno.policyquotecalc.Driver driver) {
		this.driver = driver;
	}

	public java.lang.String getPolicyType() {
		return this.policyType;
	}

	public void setPolicyType(java.lang.String policyType) {
		this.policyType = policyType;
	}

	public java.lang.Integer getPrice() {
		return this.price;
	}

	public void setPrice(java.lang.Integer price) {
		this.price = price;
	}

	public java.lang.Integer getPriceDiscount() {
		return this.priceDiscount;
	}

	public void setPriceDiscount(java.lang.Integer priceDiscount) {
		this.priceDiscount = priceDiscount;
	}

	public java.lang.Integer getVehicleYear() {
		return this.vehicleYear;
	}

	public void setVehicleYear(java.lang.Integer vehicleYear) {
		this.vehicleYear = vehicleYear;
	}

	public java.lang.Integer getVehicleMielage() {
		return this.vehicleMielage;
	}

	public void setVehicleMielage(java.lang.Integer vehicleMielage) {
		this.vehicleMielage = vehicleMielage;
	}

	public Policy(io.axcelinno.policyquotecalc.Driver driver,
			java.lang.String policyType, java.lang.Integer price,
			java.lang.Integer priceDiscount, java.lang.Integer vehicleYear,
			java.lang.Integer vehicleMielage) {
		this.driver = driver;
		this.policyType = policyType;
		this.price = price;
		this.priceDiscount = priceDiscount;
		this.vehicleYear = vehicleYear;
		this.vehicleMielage = vehicleMielage;
	}

}